Subject: [PWE3] Oustanding Discusses and comments on draft-ietf-pwe3-iana-12.txt ( BCP ) -Brian Carpenter

From: Luca Martini <[email-masked]>
Date: Fri, 21 Oct 2005 17:02:59 -0600

Scott,

Thanks for you comments. Replies below in line.
Luca

-------------------------------------

Scott Hollenbeck:

Discuss [2005-10-11]:
Section 1:  Please cite RFC 2119 and add a normative reference for it in section
6.

LM: Ok added.

Section 2, several places: Please add a citation to RFC 2434 in the places it's
referenced.

LM: Done.

Section 2:  "Unless otherwise noted in this document, the value of 0 is
reserved, and MUST not be used."

Reserved for which field, in which registry?  I really think some more
explanatory text is need in this into paragraph to explain what's being
reserved.  You have to read ahead to figure out what's going on.  Maybe
something like this:

"IANA is requested to create several registries as described in the following
paragraphs.  Each of these registries contains numeric values used to identify
data types.  In each of these registries the value of 0 is reserved, and MUST
not be used."

LM: This is better text, I replaced mine with the above paragraph.

Section 2.1: The text says that "These are 15-bit values", but it then goes on
to say that "PW Type values 1025 through 4096, and 32768 are reserved for future
use".  Something's wrong because 16 bits are required to represent 32768.

LM: Yes , this was caught in IETF LC, however for some reason the document you
 reviewed was a previous version. I already fixed this issue.

Comment [2005-10-11]:
This looks more like an Informational document than a BCP to me.  It's all about
populating registries with values.  What practice is being described?

LM: None. In fact this is just a document with detailed instructions for IANA. 
I would be satisfied if it was published as an informational rfc, or even not 
published but just given to IANA.

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3

---

From: "Scott Hollenbeck" <[email-masked]>
Date: Fri, 21 Oct 2005 21:32:16 -0400

Please make the needed corrections as described below and publish the
updated document.  Ping me again when it's available, and I'll clear.  The
status situation is something to be discussed with Mark, though I see that
it's still listed as a BCP in the tracker.

-Scott-

> -----Original Message-----
> From: Luca Martini [mailto:[email-masked]] 
> Sent: Friday, October 21, 2005 7:03 PM
> To: "mailto:sh"@verisign.com
> Cc: Danny McPherson; pwe3; The IESG; Stewart Bryant
> Subject: Oustanding Discusses and comments on 
> draft-ietf-pwe3-iana-12.txt ( BCP ) -Brian Carpenter
> 
> Scott,
> 
> Section 1:  Please cite RFC 2119 and add a normative 
> reference for it in section 6.
> 
> LM: Ok added.
> 
> 
> Section 2, several places: Please add a citation to RFC 2434 
> in the places it's referenced.
> 
> LM: Done.
> 
> 
> Section 2:  "Unless otherwise noted in this document, the 
> value of 0 is reserved, and MUST not be used."
> 
> Reserved for which field, in which registry?  I really think 
> some more explanatory text is need in this into paragraph to 
> explain what's being reserved.  You have to read ahead to 
> figure out what's going on.  Maybe something like this:
> 
> "IANA is requested to create several registries as described 
> in the following paragraphs.  Each of these registries 
> contains numeric values used to identify data types.  In each 
> of these registries the value of 0 is reserved, and MUST not be used."
> 
> Section 2.1: The text says that "These are 15-bit values", 
> but it then goes on to say that "PW Type values 1025 through 
> 4096, and 32768 are reserved for future use".  Something's 
> wrong because 16 bits are required to represent 32768.
> 
> LM: Yes , this was caught in IETF LC, however for some reason 
> the document you  reviewed was a previous version. I already 
> fixed this issue.
> 
> Comment [2005-10-11]:
> This looks more like an Informational document than a BCP to 
> me.  It's all about populating registries with values.  What 
> practice is being described?
> 
> I would be satisfied if it was published as an informational 
> rfc, or even not published but just given to IANA.

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 24 Oct 2005 14:40:50 +0200

> Scott,
...
> LM: None. In fact this is just a document with detailed instructions for 
> IANA. I would be satisfied if it was published as an informational rfc, 
> or even not published but just given to IANA.

I think there is some value in having it on record for the community,
in another way than hidden inside IANA registries.

    Brian